<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$sql = "";
$historia = "";
$id = 0;
$tipo = "TRAMO";
$psing_a_sacar_1 = 0;
$psing_a_sacar_2 = 0;
$psing_a_agregar_1 = 0;
$psing_a_agregar_2 = 0;



if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}


$resultado = mysqli_query($con,$sql);
   
$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

   
if($id > 0 && $historia != '' && $tipo != '')
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se modifica geometria de tramo','GEOMETRIA MODIFICADA','" . $fecha . "','" . $usuario . "','TRAMO')";
   $resultado = mysqli_query($con,$sql);
}


mysqli_close($con);

$resultado = array();



echo json_encode($resultado);
?>